package com.ghy.order.service;

import com.ghy.order.domain.OrderDetail;

import java.util.List;

/**
 * 详细订单接口
 *
 * @author HH 2022/4/25
 */
public interface OrderDetailService {

    /**
     * @param orderDetail 详细订单属性
     * @return 成功条数
     */
    int insertOrderDetail(OrderDetail orderDetail);

    /**
     * @param orderDetail 详细订单属性
     * @return 成功条数
     */
    int updateOrderDetail(OrderDetail orderDetail);

    /**
     * @param orderDetail 详细订单入参
     * @return 详细订单集合
     */
    List<OrderDetail> selectOrderDetailList(OrderDetail orderDetail);


    /**
     * @param orderDetailId 详细订单id
     * @return 详细订单
     */
    OrderDetail selectById(Long orderDetailId);

    /**
     * @param ids 详细订单ids
     * @return 删除结果
     */
    int deleteOrderDetailByIds(String ids);

    /**
     * 校验详细订单编码是否重复
     *
     * @param orderDetail 详细订单属性
     * @return 校验结果 1存在 0不存在
     */
    String checkOrderDetailCodeUnique(OrderDetail orderDetail);
}
